Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.client
Class CommonResources

    java.lang.Object
      com.google.gwt.resources.client.CommonResources

    public class CommonResources

extends java.lang.Object

Generally useful styles and resources used throughout GWT widgets and cells.

Nested Class Summary
`(package private) static interface` | `CommonResources.Bundle` The `ClientBundle` of resources.
`(package private) static interface` | `CommonResources.InlineBlockStyle` Cross-browser implementation of the "display: inline-block" CSS property.

Constructor Summary
`CommonResources()`

Method Summary
`static java.lang.String` | `getInlineBlockStyle()` Get the style class name that simulates a "display: inline-block" effect across browsers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonResources

    public CommonResources()

Method Detail

### getInlineBlockStyle

    public static java.lang.String getInlineBlockStyle()

  Get the style class name that simulates a "display: inline-block" effect across browsers.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD